package mega.privacy.android.app.components.twemoji.category;

import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;

import mega.privacy.android.app.R;
import mega.privacy.android.app.components.twemoji.emoji.Emoji;
import mega.privacy.android.app.components.twemoji.emoji.EmojiCategory;


public final class TravelCategory implements EmojiCategory {
  private static final Emoji[] DATA = new Emoji[] {
    new Emoji(0x1f697, R.drawable.emoji_twitter_1f697),
    new Emoji(0x1f695, R.drawable.emoji_twitter_1f695),
    new Emoji(0x1f699, R.drawable.emoji_twitter_1f699),
    new Emoji(0x1f68c, R.drawable.emoji_twitter_1f68c),
    new Emoji(0x1f68e, R.drawable.emoji_twitter_1f68e),
    new Emoji(0x1f3ce, R.drawable.emoji_twitter_1f3ce),
    new Emoji(0x1f693, R.drawable.emoji_twitter_1f693),
    new Emoji(0x1f691, R.drawable.emoji_twitter_1f691),
    new Emoji(0x1f692, R.drawable.emoji_twitter_1f692),
    new Emoji(0x1f690, R.drawable.emoji_twitter_1f690),
    new Emoji(0x1f69a, R.drawable.emoji_twitter_1f69a),
    new Emoji(0x1f69b, R.drawable.emoji_twitter_1f69b),
    new Emoji(0x1f69c, R.drawable.emoji_twitter_1f69c),
    new Emoji(0x1f6f4, R.drawable.emoji_twitter_1f6f4),
    new Emoji(0x1f6b2, R.drawable.emoji_twitter_1f6b2),
    new Emoji(0x1f6f5, R.drawable.emoji_twitter_1f6f5),
    new Emoji(0x1f3cd, R.drawable.emoji_twitter_1f3cd),
    new Emoji(0x1f6a8, R.drawable.emoji_twitter_1f6a8),
    new Emoji(0x1f694, R.drawable.emoji_twitter_1f694),
    new Emoji(0x1f68d, R.drawable.emoji_twitter_1f68d),
    new Emoji(0x1f698, R.drawable.emoji_twitter_1f698),
    new Emoji(0x1f696, R.drawable.emoji_twitter_1f696),
    new Emoji(0x1f6a1, R.drawable.emoji_twitter_1f6a1),
    new Emoji(0x1f6a0, R.drawable.emoji_twitter_1f6a0),
    new Emoji(0x1f69f, R.drawable.emoji_twitter_1f69f),
    new Emoji(0x1f683, R.drawable.emoji_twitter_1f683),
    new Emoji(0x1f68b, R.drawable.emoji_twitter_1f68b),
    new Emoji(0x1f69e, R.drawable.emoji_twitter_1f69e),
    new Emoji(0x1f69d, R.drawable.emoji_twitter_1f69d),
    new Emoji(0x1f684, R.drawable.emoji_twitter_1f684),
    new Emoji(0x1f685, R.drawable.emoji_twitter_1f685),
    new Emoji(0x1f688, R.drawable.emoji_twitter_1f688),
    new Emoji(0x1f682, R.drawable.emoji_twitter_1f682),
    new Emoji(0x1f686, R.drawable.emoji_twitter_1f686),
    new Emoji(0x1f687, R.drawable.emoji_twitter_1f687),
    new Emoji(0x1f68a, R.drawable.emoji_twitter_1f68a),
    new Emoji(0x1f689, R.drawable.emoji_twitter_1f689),
    new Emoji(0x1f681, R.drawable.emoji_twitter_1f681),
    new Emoji(0x1f6e9, R.drawable.emoji_twitter_1f6e9),
    new Emoji(0x2708, R.drawable.emoji_twitter_2708),
    new Emoji(0x1f6eb, R.drawable.emoji_twitter_1f6eb),
    new Emoji(0x1f6ec, R.drawable.emoji_twitter_1f6ec),
    new Emoji(0x1f680, R.drawable.emoji_twitter_1f680),
    new Emoji(0x1f6f0, R.drawable.emoji_twitter_1f6f0),
    new Emoji(0x1f4ba, R.drawable.emoji_twitter_1f4ba),
    new Emoji(0x1f6f6, R.drawable.emoji_twitter_1f6f6),
    new Emoji(0x26f5, R.drawable.emoji_twitter_26f5),
    new Emoji(0x1f6e5, R.drawable.emoji_twitter_1f6e5),
    new Emoji(0x1f6a4, R.drawable.emoji_twitter_1f6a4),
    new Emoji(0x1f6f3, R.drawable.emoji_twitter_1f6f3),
    new Emoji(0x26f4, R.drawable.emoji_twitter_26f4),
    new Emoji(0x1f6a2, R.drawable.emoji_twitter_1f6a2),
    new Emoji(0x2693, R.drawable.emoji_twitter_2693),
    new Emoji(0x1f6a7, R.drawable.emoji_twitter_1f6a7),
    new Emoji(0x26fd, R.drawable.emoji_twitter_26fd),
    new Emoji(0x1f68f, R.drawable.emoji_twitter_1f68f),
    new Emoji(0x1f6a6, R.drawable.emoji_twitter_1f6a6),
    new Emoji(0x1f6a5, R.drawable.emoji_twitter_1f6a5),
    new Emoji(0x1f5fa, R.drawable.emoji_twitter_1f5fa),
    new Emoji(0x1f5ff, R.drawable.emoji_twitter_1f5ff),
    new Emoji(0x1f5fd, R.drawable.emoji_twitter_1f5fd),
    new Emoji(0x26f2, R.drawable.emoji_twitter_26f2),
    new Emoji(0x1f5fc, R.drawable.emoji_twitter_1f5fc),
    new Emoji(0x1f3f0, R.drawable.emoji_twitter_1f3f0),
    new Emoji(0x1f3ef, R.drawable.emoji_twitter_1f3ef),
    new Emoji(0x1f3df, R.drawable.emoji_twitter_1f3df),
    new Emoji(0x1f3a1, R.drawable.emoji_twitter_1f3a1),
    new Emoji(0x1f3a2, R.drawable.emoji_twitter_1f3a2),
    new Emoji(0x1f3a0, R.drawable.emoji_twitter_1f3a0),
    new Emoji(0x26f1, R.drawable.emoji_twitter_26f1),
    new Emoji(0x1f3d6, R.drawable.emoji_twitter_1f3d6),
      new Emoji(0x1f6f8, R.drawable.emoji_twitter_1f6f8),
      new Emoji(0x1f6f9, R.drawable.emoji_twitter_1f6f9),
      new Emoji(0x1f9ed, R.drawable.emoji_twitter_1f9ed),
      new Emoji(0x1f9f1, R.drawable.emoji_twitter_1f9f1),
      new Emoji(0x1f9f3, R.drawable.emoji_twitter_1f9f3),
    new Emoji(0x1f3dd, R.drawable.emoji_twitter_1f3dd),
    new Emoji(0x26f0, R.drawable.emoji_twitter_26f0),
    new Emoji(0x1f3d4, R.drawable.emoji_twitter_1f3d4),
    new Emoji(0x1f5fb, R.drawable.emoji_twitter_1f5fb),
    new Emoji(0x1f30b, R.drawable.emoji_twitter_1f30b),
    new Emoji(0x1f3dc, R.drawable.emoji_twitter_1f3dc),
    new Emoji(0x1f3d5, R.drawable.emoji_twitter_1f3d5),
    new Emoji(0x26fa, R.drawable.emoji_twitter_26fa),
    new Emoji(0x1f6e4, R.drawable.emoji_twitter_1f6e4),
    new Emoji(0x1f6e3, R.drawable.emoji_twitter_1f6e3),
    new Emoji(0x1f3d7, R.drawable.emoji_twitter_1f3d7),
    new Emoji(0x1f3ed, R.drawable.emoji_twitter_1f3ed),
    new Emoji(0x1f3e0, R.drawable.emoji_twitter_1f3e0),
    new Emoji(0x1f3e1, R.drawable.emoji_twitter_1f3e1),
    new Emoji(0x1f3d8, R.drawable.emoji_twitter_1f3d8),
    new Emoji(0x1f3da, R.drawable.emoji_twitter_1f3da),
    new Emoji(0x1f3e2, R.drawable.emoji_twitter_1f3e2),
    new Emoji(0x1f3ec, R.drawable.emoji_twitter_1f3ec),
    new Emoji(0x1f3e3, R.drawable.emoji_twitter_1f3e3),
    new Emoji(0x1f3e4, R.drawable.emoji_twitter_1f3e4),
    new Emoji(0x1f3e5, R.drawable.emoji_twitter_1f3e5),
    new Emoji(0x1f3e6, R.drawable.emoji_twitter_1f3e6),
    new Emoji(0x1f3e8, R.drawable.emoji_twitter_1f3e8),
    new Emoji(0x1f3ea, R.drawable.emoji_twitter_1f3ea),
    new Emoji(0x1f3eb, R.drawable.emoji_twitter_1f3eb),
    new Emoji(0x1f3e9, R.drawable.emoji_twitter_1f3e9),
    new Emoji(0x1f492, R.drawable.emoji_twitter_1f492),
    new Emoji(0x1f3db, R.drawable.emoji_twitter_1f3db),
    new Emoji(0x26ea, R.drawable.emoji_twitter_26ea),
    new Emoji(0x1f54c, R.drawable.emoji_twitter_1f54c),
    new Emoji(0x1f54d, R.drawable.emoji_twitter_1f54d),
    new Emoji(0x1f54b, R.drawable.emoji_twitter_1f54b),
    new Emoji(0x26e9, R.drawable.emoji_twitter_26e9),
    new Emoji(0x1f5fe, R.drawable.emoji_twitter_1f5fe),
    new Emoji(0x1f391, R.drawable.emoji_twitter_1f391),
    new Emoji(0x1f3de, R.drawable.emoji_twitter_1f3de),
    new Emoji(0x1f305, R.drawable.emoji_twitter_1f305),
    new Emoji(0x1f304, R.drawable.emoji_twitter_1f304),
    new Emoji(0x1f320, R.drawable.emoji_twitter_1f320),
    new Emoji(0x1f387, R.drawable.emoji_twitter_1f387),
    new Emoji(0x1f386, R.drawable.emoji_twitter_1f386),
    new Emoji(0x1f307, R.drawable.emoji_twitter_1f307),
    new Emoji(0x1f306, R.drawable.emoji_twitter_1f306),
    new Emoji(0x1f3d9, R.drawable.emoji_twitter_1f3d9),
    new Emoji(0x1f303, R.drawable.emoji_twitter_1f303),
    new Emoji(0x1f30c, R.drawable.emoji_twitter_1f30c),
    new Emoji(0x1f309, R.drawable.emoji_twitter_1f309),
    new Emoji(0x1f301, R.drawable.emoji_twitter_1f301)
  };

  @Override @NonNull public Emoji[] getEmojis() {
    return DATA;
  }

  @Override @DrawableRes public int getIcon() {
    return R.drawable.emoji_twitter_category_travel;
  }
}
